Name:          libinput
Version:       1.11.2
Release:       1mamba
Summary:       A library that handles input devices for display servers and other applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/libinput/
Source:        http://www.freedesktop.org/software/libinput/libinput-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libevdev-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libmtdev-devel
BuildRequires: libudev-devel
BuildRequires: libwacom-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libinput is a library that handles input devices for display servers and other applications that need to directly deal with input devices.
It provides device detection, device handling, input device event processing and abstraction so minimize the amount of custom input code the user of libinput need to provide the common set of functionality that users expect.
Input event processing includes scaling touch coordinates, generating pointer events from touchpads, pointer acceleration, etc.
libinput originates from weston, the Wayland reference compositor.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%meson \
   -Dudev-dir=%_udevrulesdir/..

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
export DESTDIR="%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libinput.so.*
/lib/udev/libinput-device-group
/lib/udev/rules.d/*.rules
/lib/udev/libinput-model-quirks
/lib/udev/hwdb.d/90-libinput-model-quirks.hwdb
%dir %{_libexecdir}/libinput
%{_libexecdir}/libinput/libinput-*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libinput.h
%{_libdir}/libinput.so
%{_libdir}/pkgconfig/libinput.pc

%files tools
%defattr(-,root,root)
%{_bindir}/libinput
%{_mandir}/man1/libinput*.1*

%changelog
* Thu Jul 05 2018 Automatic Build System <autodist@mambasoft.it> 1.11.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 1.11.1-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Wed Oct 04 2017 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Tue Mar 28 2017 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Sat Feb 04 2017 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Mon Jan 23 2017 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Jan 15 2017 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Fri Dec 09 2016 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Sat Dec 03 2016 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Aug 05 2016 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Mon Jul 25 2016 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Thu Jun 16 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Thu May 12 2016 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Wed Apr 13 2016 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Feb 18 2016 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Fri Feb 12 2016 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic version update by autodist

* Tue Dec 22 2015 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Thu Dec 10 2015 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Thu Nov 19 2015 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Mon Oct 26 2015 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Oct 22 2015 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sat Sep 05 2015 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Aug 26 2015 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Fri Aug 21 2015 Automatic Build System <autodist@mambasoft.it> 0.99.1-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 0.21.0-1mamba
- automatic version update by autodist

* Fri Aug 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.0-2mamba
- don't install test udev rules

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Sat Jul 11 2015 Automatic Build System <autodist@mambasoft.it> 0.19.0-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Automatic Build System <autodist@mambasoft.it> 0.18.0-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Sun May 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-1mamba
- update to 0.15.0

* Sun Apr 26 2015 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Wed Apr 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.0-1mamba
- package created using the webbuild interface
